public class TestCopie{

    public static float meilleureNote(Copie[] tab){
	float meilleureNote = 0;
	for (int i = 0; i< tab.length; i++){
	    float note = tab[i].note();
	    if (note > meilleureNote)
		meilleureNote =  note;
	}
	return meilleureNote;
    }

    public static int meilleureNotePar(Copie[] tab){
	int indiceMeilleureNote = 0;
	float meilleureNote = 0;
	for (int i = 0; i< tab.length; i++){
	    float note = tab[i].note();
	    if (note > meilleureNote){
		meilleureNote =  note;
		indiceMeilleureNote = i;
	    }
	}
	return tab[indiceMeilleureNote].anonymat();
    }

    public static void main(String[] argv){
	float [][] notes = {{10,15,20}, {1,1,20},{10,10,10},
			    {1,2,3},{20,15,20}};

	Copie[] table = new Copie[5];
	table[0] = new Copie(1,notes[0], "En Progres");  
	table[1] = new Copie(12,notes[1],"Irregulier");  
	table[2] = new Copie(5,notes[4] ,"Moyen");  
	table[3] = new Copie(4,notes[3],"Assez ");  
	table[4] = new Copie(7,notes[2] ,"");  

	System.out.println("Meilleure Note" + meilleureNote(table));
	System.out.println("Anonymat" + meilleureNotePar(table));

    }
}
